<?php
namespace Mirasvit\Seo\Block\Adminhtml\System\Config\CanonicalLayered\UsageSelect;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Adminhtml\System\Config\CanonicalLayered\UsageSelect
 */
class Interceptor extends \Mirasvit\Seo\Block\Adminhtml\System\Config\CanonicalLayered\UsageSelect implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Seo\Model\Config\Source\AssociatedCanonical\CanonicalLayeredUsageSource $usageSource, \Magento\Framework\View\Element\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($usageSource, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
